Table of Contents

## Name

AuSetElementParameters - set the parameters of elements in a flow

## Synopsis

#include <audio/audiolib.h>

void AuSetElementParameters(server, num_parameters, parameters, status)
AuServer *server;
int num_parameters;
AuElementParameters *parameters;
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
num_parameters
  Specifies the number of parameters.
parameters
  Specifies a list which give the flow, element number and parameters of the elements to change.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSetElementParameters changes those element parameters that can be changed dynamically. Changes in element types is not allowed.

There isn't any way to specify only one parameter of a multi-parameter element, so all the element's parameters should be set.

## Note

Attempts to change non-existant parameters will be silently ignored.

## Errors

AuBadFlow, AuBadElement.

## See Also

AuGetElementParameters.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Note
- Errors
- See Also